:root {
  --fg: #ced4f2;
  --bg: #121218;
}

@font-face {
  font-family: "JetBrainsMono";
  src: url("fonts/JetBrainsMonoNerdFontPropo-SemiBold.ttf") format("truetype");
  font-display: swap;
}

@keyframes load {
  from {
    opacity: 0;
    scale: 0.95;
  }
  to {
    opacity: 1;
    scale: 1;
  }
}

body > *  {
  animation: load 0.4s ease;
}

body {
  color: var(--fg);
  background: var(--bg);
  font-family: "JetBrainsMono", monospace;
  font-size: 16px;
  margin: 0;
  min-height: 100vh;
  display: grid;
  place-items: center;
}

.links {
  display: flex;
  align-items: center;
  font-size: 24px;
  gap: 1.5rem;
  transform: translateY(-0.25rem);
}

.intro,
.links {
  grid-area: 1 / 1;
}

.intro {
  transform: translateY(-3rem);
}

*:link, *:visited {
  color: var(--fg);
  text-decoration: underline;
  text-decoration-thickness: 0.105em;
  text-underline-offset: 0.09em;
}

*:link:hover {
  text-decoration: none;
}

@keyframes dots {
  0% {
    width: 3ch;
  }
  50% {
    width: 0ch;
  }
  66.67% {
    width: 1ch;
  }
  83.34% {
    width: 2ch;
  }
}

.loading-dots {
  display: inline-block;
  width: 3ch;
}

.loading-dots span {
  display: inline-block;
  overflow: hidden;
  vertical-align: bottom;
  white-space: nowrap;
  animation: dots 2s steps(1, end) infinite;
}

@media (prefers-reduced-motion: reduce) {
  .loading-dots span {
    width: 3ch;
    animation: none;
  }
}

footer {
  position: fixed;
  left: 0;
  right: 0;
  bottom: 2vh;
  text-align: center;
}
